package org.ilrt.inkling.test;

import junit.framework.*;

/*
Copyright University of Bristol, 2003

This software is released under the W3C license:
http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231
*/


/**
<pre>
Runner for all in-memory (non-SQL tests), but just with Rio (for small
builds)
</pre>
*/

public class AllInMemTestsRio {
    public static void main(String[] args) {
        junit.textui.TestRunner.run(suite());
    }


    public static Test suite() {
        TestSuite suite = new TestSuite();

//	suite.addTest(new ParsersTest("testQuery"));
	suite.addTest(new BaseTestUnionGraph("testBase"));
//	suite.addTest(new ParsersTest2("testQuery"));
	suite.addTest(new UnionGraphAddRemoveTest("testSameStatement"));
	suite.addTest(new UnionGraphQueryProvenanceTest("testQuery"));
	suite.addTest(new GraphTest("testQuery"));
	suite.addTest(new UnionGraphSameStatementTest("testSameStatement"));
	suite.addTest(new UnionGraphSquishQueryTest("testQuery"));

        return suite;
    }
}


