package org.ilrt.inkling.test;

import junit.framework.*;

/*
Copyright University of Bristol, 2003

This software is released under the W3C license:
http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231
*/


/**
<pre>
Runs all in-memory and SQL tests
</pre>
*/

public class AllTests {
    public static void main(String[] args) {
        junit.textui.TestRunner.run(suite());
    }


    public static Test suite() {
        TestSuite suite = new TestSuite();
	suite.addTest(AllInMemTests.suite());
	suite.addTest(AllSQLTests.suite());

//        return new TestSuite(AllInMemTests.class);


        return suite;
    }
}


