package org.ilrt.inkling.test;

import org.ilrt.inkling.query.*;
import org.ilrt.inkling.query.squish.*;
import org.ilrt.inkling.api.*;
import org.ilrt.inkling.app.*;
import java.io.*;
import java.net.*;
import java.util.*;
import junit.framework.*;

/*
Copyright University of Bristol, 2003

This software is released under the W3C license:
http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231
*/


/**
<pre>
Testing etags. @@not working yet@@
</pre>
*/

public class EtagScutterTest extends TestCase {

    public EtagScutterTest(String name) {
        super(name);
    }


    public static Test suite() {
        return new TestSuite(EtagScutterTest.class);
    }


    public static void main(String args[]) {
        junit.textui.TestRunner.run(suite());
    }


/**

Checking lastmodified works

*/

    public void testLastModified(){


String
url="http://swordfish.rdfweb.org/photos/genfiles/ilrt/2897976680384088.rdf";

Scutter s = new Scutter();

String etag="nothing";
long lastm=1000000000;
ScutterURLData data= new ScutterURLData(url,lastm,etag);

boolean b=s.checkModified(data);

System.out.println("first pass - changed? "+b);
System.out.println(data.getEtag()+" "+data.getLastModified());
System.out.println(data.etagEscString());
System.out.println(data.dateToString());


String etag2="\"1cd5f9-6e9-42371d40\"";
long lastm2= 1059810061000L;

//ScutterURLData data2= new ScutterURLData(url,lastm2,etag2);

boolean b2=s.checkModified(data);
System.out.println("second pass - changed? "+b2);
System.out.println(data.getEtag()+" "+data.getLastModified());
System.out.println(data.etagEscString());
System.out.println(data.dateToString());

assertEquals(etag2,data.getEtag());
assertEquals(lastm2,data.getLastModified());

    }


}//end class
