package org.ilrt.inkling.test;

import org.ilrt.inkling.query.*;
import org.ilrt.inkling.query.squish.*;
import org.ilrt.inkling.api.*;
import org.ilrt.inkling.app.*;
import java.io.*;
import java.net.*;
import java.util.*;
import junit.framework.*;


/*

Copyright University of Bristol, 2003

This software is released under the W3C license:
http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231
*/

/**
<pre>
Check that we can add and remove statements by their subgraph within a
UnionGraph
</pre>
*/

public class UnionGraphAddRemoveTest extends TestCase {

    public UnionGraphAddRemoveTest(String name) {
        super(name);
    }


    public static Test suite() {
        return new TestSuite(UnionGraphAddRemoveTest.class);
    }


    public static void main(String args[]) {
        junit.textui.TestRunner.run(suite());
    }


/**

testing adding and removal of graphs from union graph

*/

    public void testSameStatement(){

Graph g = new
Graph(null,"http://swordfish.rdfweb.org/people/libby/rdfweb/webwho.xrdf",Util.RDFXML);

g.load();

UnionGraph ug=new UnionGraph();
ug.add(g);


System.out.println("g size "+g.size());
System.out.println("ug size "+ug.size());
assertEquals(g.size(),ug.size());

ug.remove(g);

System.out.println("g size "+g.size());
System.out.println("ug size "+ug.size());

    }


}//end class
